<!doctype html>
<html lang="en">

	<head>
		<meta charset="utf-8">

        <title>RHPAM DevOps Workshop</title>

        <meta name="description" content="DevOps Testing">
		<meta name="author" content="Eric D. Schabell">

		<meta name="apple-mobile-web-app-capable" content="yes" />
		<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent" />

		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

		<link rel="stylesheet" href="css/reveal.min.css">
        <link rel="stylesheet" href="css/theme/redhat.css" id="theme">

		<!-- For syntax highlighting -->
		<link rel="stylesheet" href="lib/css/zenburn.css">

		<!-- If the query includes 'print-pdf', include the PDF print sheet -->
		<script>
			if( window.location.search.match( /print-pdf/gi ) ) {
				var link = document.createElement( 'link' );
				link.rel = 'stylesheet';
				link.type = 'text/css';
				link.href = 'css/print/pdf.css';
				document.getElementsByTagName( 'head' )[0].appendChild( link );
			}
		</script>

		<!--[if lt IE 9]>
		<script src="lib/js/html5shiv.js"></script>
		<![endif]-->
	</head>

	<body>

		<div class="reveal">

			<!-- Any section element inside of this container is displayed as a slide -->
			<div class="slides">
                <section>
                    <h3>Lab 5 - Create a process</h3>
				</section>

                <section>
                    <div style="width: 1056px; height: 200px;">
                        <h2>Lab goal</h2>
                        <h4>To create a DevOps testing process using the process designer</h4>
                    </div>
                    <div style="width: 1056px; height: 600px;">
                        <img style="border: 0px" src="images/rhpam-component-processmodeling.png">
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 120px;">
                        <h2>Creating a process</h2>
                    </div>
                    <div style="width: 1056px; height: 100px;">
                        <ul>
                            <li>From the Asset view after completing previous lab</li>
                            <li>Click on <code>Add Asset</code> button on top right</li>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 500px;">
                        <img src="images/image4-28.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 150px;">
                        <h2>Creating a process</h2>
                    </div>
                    <div style="width: 1056px; height: 100px;">
                        <ul>
                            <li>From the <code>Add Asset</code> view</li>
                            <li>Click on <code>Business Process</code> button</li>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 500px;">
                        <img src="images/image5-1.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 150px;">
                        <h2>Creating a process</h2>
                    </div>
                    <div style="width: 1056px; height: 100px;">
                        <ul>
                            <li>In pop-up fill in fields as shown and click on <code>OK</code> button:</li>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 600px;">
                        <img src="images/image5-2.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 120px;">
                        <h2>Process designer</h2>
                    </div>
                    <div style="width: 1056px; height: 600px;">
                        <ul>
                            <li>The process is created and displays the designer</li>
                            <img src="images/image5-3.png" />
                        </ul>
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 120px;">
                        <h2>Process designer</h2>
                    </div>
                    <div style="width: 1056px; height: 350px;">
                        <ul>
                            <li>Note the <code>Alerts</code> pane at bottom</li>
                            <li>Drag it upwards to view, it's showing errors</li>
                            <li>As you build this process, each failure will be removed and eventually process builds</li>
                            <li>Now it's missing start node transition and an end node</li>
                            <li>As we progress, it will contain various errors, even when we finish laying out the nodes,
                            don't worry, in the next lab you'll take care of all those errors!</li>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 600px;">
                        <img src="images/image5-4.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 130px;">
                        <h2>Devops testing process</h2>
                    </div>
                    <div style="width: 1056px; height: 600px; font-size: xx-large" align="left">
                        We are going to design a the following steps in our process:<br/>
                        <ul>
                            <ol style="font-size: smaller">
                                <li>Script task: <code>Validate Job</code>, to check incoming job data</li>
                                <li>Business rule task: <code>Apply Code Rules</code>, test for peer review</li>
                                <li>Gateway: to check path to take based on peer review decision</li>
                                <li>User task: <code>Peer Review</code>, user conducts peer review</li>
                                <li>Gateway: to check path to take based on peer review results</li>
                                <li>Script task: <code>Log Failed Review</code>, to note peer review results</li>
                                <li>Gateway: converges all successful paths from reviews</li>
                                <li>Script task: <code>Automated Tests</code>, placeholder for automated testing</li>
                                <li>Script task: <code>Log Deployment</code>, notes job ready for deployment</li>
                                <li>Sequence flows: transitions between modes (arrows)</li>
                                <li>End nodes: showing possible end states (to developer / to deployment)</li>
                            </ol>
                        </ul>
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 150px;">
                        <h2>Adding script task</h2>
                    </div>
                    <div style="width: 1056px; height: 220px;">
                        <ul>
                            <li>It's possible to use the side menu to select process elements</li>
                            <li>Easier maybe to click a node using mini-icons to add next node</li>
                            <ul>
                                <li>click on the start node</li>
                                <li>click on mini-icon <code>Create Task</code> to add task node</li>
                                <li>hover on mini-icon under Task to <code>Convert into Script</code></li>
                            </ul>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 130px;">
                        <img src="images/image5-5.png" />
                        <img src="images/image5-6.png" />
                        <img src="images/image5-7.png" />
                        <img src="images/image5-8.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 150px;">
                        <h2>Adding script task</h2>
                    </div>
                    <div style="width: 1056px; height: 100px;">
                        <ul>
                            <li>Double click node to name node <code>Validate Job</code></li>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 200px;">
                        <img src="images/image5-9.png" />
                        <img src="images/image5-10.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 120px;">
                        <h2>Save the process</h2>
                    </div>
                    <div style="width: 1056px; height: 200px;">
                        <ul>
                            <li>Be sure to regularly <code>SAVE</code> your work, located left top of designer</li>
                            <li>You can (and should!) comment your work, so click on that link</li>
                            <li>Add a comment and click on <code>Save</code> button</li>
                            <li>After saving, should see a green bar showing save succeeded</li>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 200px;">
                        <img src="images/image5-15a.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 150px;">
                        <h2>Adding business rule task</h2>
                    </div>
                    <div style="width: 1056px; height: 180px;">
                        <ul>
                            <li>To add business rule task use mini-icons as before:</li>
                            <ul>
                                <li>select the <code>Valideate Job</code> node</li>
                                <li>click on mini-icon <code>Create Task</code> to add task node</li>
                                <li>use mini-icon under Task to <code>Convert into Business Rule</code></li>
                            </ul>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 120px;">
                        <img src="images/image5-11.png" />
                        <img src="images/image5-12.png" />
                        <img src="images/image5-13.png" />
                        <img src="images/image5-14.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 150px;">
                        <h2>Adding business rule task</h2>
                    </div>
                    <div style="width: 1056px; height: 100px;">
                        <ul>
                            <li>Double click node to name node <code>Apply Code Rules</code></li>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 200px;">
                        <img src="images/image5-16.png" />
                        <img src="images/image5-17.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 120px;">
                        <h2>Save the process</h2>
                    </div>
                    <div style="width: 1056px; height: 200px;">
                        <ul>
                            <li>Be sure to regularly <code>SAVE</code> your work, located left top of designer</li>
                            <li>You can (and should!) comment your work, so click on that link</li>
                            <li>Add a comment and click on <code>Save</code> button</li>
                            <li>After saving, should see a green bar showing save succeeded</li>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 200px;">
                        <img src="images/image5-15a.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 150px;">
                        <h2>Adding gateway (XOR)</h2>
                    </div>
                    <div style="width: 1056px; height: 280px;">
                        <ul>
                            <li>Click on <code>Apply Code Rules</code> node and use mini-icons to add next node type</li>
                            <ul>
                                <li>click on mini-icon to <code>Create Parallel</code> to add task node</li>
                                <li>hover on mini-icon under the gateway to <code>Convert into Exclusive</code></li>
                                <li>we want our process to follow only one path (XOR logic)</li>
                            </ul>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 130px;">
                        <img src="images/image5-18.png" />
                        <img src="images/image5-19.png" />
                        <img src="images/image5-20.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 120px;">
                        <h2>Save the process</h2>
                    </div>
                    <div style="width: 1056px; height: 200px;">
                        <ul>
                            <li>Be sure to regularly <code>SAVE</code> your work, located left top of designer</li>
                            <li>You can (and should!) comment your work, so click on that link</li>
                            <li>Add a comment and click on <code>Save</code> button</li>
                            <li>After saving, should see a green bar showing save succeeded</li>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 200px;">
                        <img src="images/image5-15b.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 150px;">
                        <h2>Adding gateway (AND)</h2>
                    </div>
                    <div style="width: 1056px; height: 320px;">
                        <ul>
                            <li>Let's continue on the happy path, where everything goes right...</li>
                            <li>Click on the gateway and use mini-icons to add next node type</li>
                            <ul>
                                <li>click on mini-icon to <code>Create Parallel</code> to add task node</li>
                                <li>hover on mini-icon under the gateway to <code>Convert into Inclusive</code></li>
                                <li>we want our process to converge here into one path (AND logic)</li>
                            </ul>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 130px;">
                        <img src="images/image5-21.png" />
                        <img src="images/image5-22.png" />
                        <img src="images/image5-23.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 120px;">
                        <h2>Save the process</h2>
                    </div>
                    <div style="width: 1056px; height: 200px;">
                        <ul>
                            <li>Be sure to regularly <code>SAVE</code> your work, located left top of designer</li>
                            <li>You can (and should!) comment your work, so click on that link</li>
                            <li>Add a comment and click on <code>Save</code> button</li>
                            <li>After saving, should see a green bar showing save succeeded</li>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 200px;">
                        <img src="images/image5-15b.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 150px;">
                        <h2>Adding script task</h2>
                    </div>
                    <div style="width: 1056px; height: 330px;">
                        <ul>
                            <li>Next up after passing rule checks and eventual reviews, it's automated testing</li>
                            <li>This is a workshop placeholder task that would be plugged into testing infrastructure</li>
                            <ul>
                                <li>click on the gateway</li>
                                <li>click on mini-icon <code>Create Task</code> to add task node</li>
                                <li>hover on mini-icon under Task to <code>Convert into Script</code></li>
                            </ul>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 130px;">
                        <img src="images/image5-24.png" />
                        <img src="images/image5-25.png" />
                        <img src="images/image5-26.png" />
                        <img src="images/image5-27.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 150px;">
                        <h2>Adding script task</h2>
                    </div>
                    <div style="width: 1056px; height: 200px;">
                        <ul>
                            <li>Double click node to name node <code>Automated Tests</code></li>
                            <li>Note this task just logs this activity, it's outside the scope of this workshop to
                            implement this devops testing infrastructure... it's left for your exploration later...</li>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 200px;">
                        <img src="images/image5-28.png" />
                        <img src="images/image5-29.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 150px;">
                        <h2>Adding script task</h2>
                    </div>
                    <div style="width: 1056px; height: 150px;">
                        <ul>
                            <li>Now adding logging script task as shown:</li>
                            <ul>
                                <li>add and label script task: <code>Log Deployment</code></li>
                            </ul>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 170px;">
                        <img src="images/image5-30.png" />
                        <img src="images/image5-31.png" />
                        <img src="images/image5-32.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 120px;">
                        <h2>Save the process</h2>
                    </div>
                    <div style="width: 1056px; height: 200px;">
                        <ul>
                            <li>Be sure to regularly <code>SAVE</code> your work, located left top of designer</li>
                            <li>You can (and should!) comment your work, so click on that link</li>
                            <li>Add a comment and click on <code>Save</code> button</li>
                            <li>After saving, should see a green bar showing save succeeded</li>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 200px;">
                        <img src="images/image5-15d.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 150px;">
                        <h2>Adding end node</h2>
                    </div>
                    <div style="width: 1056px; height: 150px;">
                        <ul>
                            <li>Now try completing this path to the end as shown:</li>
                            <ul>
                                <li>add and label end node: <code>Send for Deployment</code></li>
                            </ul>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 170px;">
                        <img src="images/image5-33.png" />
                        <img src="images/image5-34.png" />
                        <img src="images/image5-35.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 120px;">
                        <h2>Save the process</h2>
                    </div>
                    <div style="width: 1056px; height: 200px;">
                        <ul>
                            <li>Be sure to regularly <code>SAVE</code> your work, located left top of designer</li>
                            <li>You can (and should!) comment your work, so click on that link</li>
                            <li>Add a comment and click on <code>Save</code> button</li>
                            <li>After saving, should see a green bar showing save succeeded</li>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 200px;">
                        <img src="images/image5-15e.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 150px;">
                        <h2>Process design</h2>
                        <h4>The happy path</h4>
                    </div>
                    <div style="width: 1056px; height: 300px;">
                        <ul>
                            <li>Your process design (aka the happy path) is now complete</li>
                            <li>If a code job is submitted, passes the peer review decision (rules), then it's going
                            to by passed to automated testing and logged for final deployment before heading back to
                            some main DevOps process flow</li>
                            <li>The process is still missing failed peer review paths, let's add it</li>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 600px;">
                        <img src="images/image5-36.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 150px;">
                        <h2>Adding user task</h2>
                    </div>
                    <div style="width: 1056px; height: 300px;">
                        <ul>
                            <li>Now let's go back and design the path where a peer review is needed</li>
                            <li>This starts with a path from the first gateway to a user task</li>
                            <ul>
                                <li>click on the gateway</li>
                                <li>click on mini-icon <code>Create Task</code> to add task node</li>
                                <li>drag task to location under gateway as shown</li>
                                <li>hover on mini-icon under Task to <code>Convert into User</code></li>
                            </ul>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 250px;">
                        <img src="images/image5-37.png" />
                        <img src="images/image5-38.png" />
                        <img src="images/image5-39.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 150px;">
                        <h2>Adding user task</h2>
                    </div>
                    <div style="width: 1056px; height: 100px;">
                        <ul>
                            <li>Label the user task to <code>Peer Review</code> as shown:</li>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 250px;">
                        <img src="images/image5-40.png" />
                        <img src="images/image5-41.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 120px;">
                        <h2>Save the process</h2>
                    </div>
                    <div style="width: 1056px; height: 200px;">
                        <ul>
                            <li>Be sure to regularly <code>SAVE</code> your work, located left top of designer</li>
                            <li>You can (and should!) comment your work, so click on that link</li>
                            <li>Add a comment and click on <code>Save</code> button</li>
                            <li>After saving, should see a green bar showing save succeeded</li>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 200px;">
                        <img src="images/image5-15a.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 150px;">
                        <h2>Adding gateway (XOR)</h2>
                    </div>
                    <div style="width: 1056px; height: 280px;">
                        <ul>
                            <li>Click on <code>Peer Review</code> node and use mini-icons to add gateway</li>
                            <ul>
                                <li>click on mini-icon to <code>Create Parallel</code> to add task node</li>
                                <li>drag and reposition the gateway and transition arrow as shown</li>
                                <li>hover on mini-icon under gateway to <code>Convert into Exclusive</code></li>
                                <li>we want our process to follow only one path (XOR logic)</li>
                            </ul>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 200px;">
                        <img src="images/image5-42.png" />
                        <img src="images/image5-43.png" />
                        <img src="images/image5-44.png" />
                        <img src="images/image5-45.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 150px;">
                        <h2>Adding sequence flow</h2>
                    </div>
                    <div style="width: 1056px; height: 280px;">
                        <ul>
                            <li>Based on results of <code>Peer Review</code>, a gateway routes our process</li>
                            <li>If passes peer review, then route back to AND gateway:</li>
                            <ul>
                                <li>use gateway mini-icons, select <code>Create Sequence Flow</code></li>
                                <li>reposition the arrow to the AND gateway and click to attach</li>
                                <li>click on sequence line to add blue joint dot, this can be used to reposition as shown</li>
                            </ul>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 250px;">
                        <img src="images/image5-46.png" />
                        <img src="images/image5-47.png" />
                        <img src="images/image5-48.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 150px;">
                        <h2>Adding script task</h2>
                    </div>
                    <div style="width: 1056px; height: 200px;">
                        <ul>
                            <li>If fails peer review, then route to logging results and sending results back to
                                main DevOps process:</li>
                            <ul>
                                <li>use gateway mini-icons, select <code>Create Task</code></li>
                                <li>reposition the task below the gateway and adjust arrow attachments</li>
                            </ul>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 300px;">
                        <img src="images/image5-49.png" />
                        <img src="images/image5-50.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 150px;">
                        <h2>Adding script task</h2>
                    </div>
                    <div style="width: 1056px; height: 200px;">
                        <ul>
                            <li>If fails peer review, then route to logging results and sending results back to
                                main DevOps process:</li>
                            <ul>
                                <li>hover on mini-icon under Task to <code>Convert into Script</code></li>
                                <li>label task as <code>Log Failed Review</code></li>
                            </ul>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 300px;">
                        <img src="images/image5-51.png" />
                        <img src="images/image5-52.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 120px;">
                        <h2>Save the process</h2>
                    </div>
                    <div style="width: 1056px; height: 200px;">
                        <ul>
                            <li>Be sure to regularly <code>SAVE</code> your work, located left top of designer</li>
                            <li>You can (and should!) comment your work, so click on that link</li>
                            <li>Add a comment and click on <code>Save</code> button</li>
                            <li>After saving, should see a green bar showing save succeeded</li>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 200px;">
                        <img src="images/image5-15c.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 150px;">
                        <h2>Adding failed end node</h2>
                    </div>
                    <div style="width: 1056px; height: 100px;">
                        <ul>
                            <li>Add and label end node: <code>Send back to Developer</code></li>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 300px;">
                        <img src="images/image5-53.png" />
                        <img src="images/image5-54.png" />
                        <img src="images/image5-55.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 150px;">
                        <h2>Save the process</h2>
                    </div>
                    <div style="width: 1056px; height: 200px;">
                        <ul>
                            <li>Be sure to regularly <code>SAVE</code> your work, located left top of designer</li>
                            <li>You can (and should!) comment your work, so click on that link</li>
                            <li>Add a comment and click on <code>Save</code> button</li>
                            <li>After saving, should see a green bar showing save succeeded</li>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 200px;">
                        <img src="images/image5-15e.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 150px;">
                        <h2>Validation errors</h2>
                    </div>
                    <div style="width: 1056px; height: 270px;">
                        <ul>
                            <li>Note there are validation errors as the process format BPMN2 is automatically validated</li>
                            <li>Trying to building process and saving generates errors (validation)</li>
                            <li>Your process design is incomplete at this stage, in next lab you'll fix all errors</li>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 600px;">
                        <img src="images/image5-56.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 130px;">
                        <h2>Finished process design</h2>
                    </div>
                    <div style="width: 1056px; height: 100px;">
                        <ul>
                            <li>Your finished process design should look like this:</li>
                            <li>Tip: use zoom function, hover in bottom right corner, to fit screen</li>
                        </ul>
                    </div>
                    <div style="width: 1056px; height: 500px;">
                        <img src="images/image5-57.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 150px;">
                        <h2>Lab results</h2>
                        <h4>What you should see...</h4>
                    </div>
                    <div style="width: 1056px; height: 100px;">
                        Click on <i>devops-testing</i> project (use bread crumb menu at the top) and view
                        the domain model assets, this ends lab 5:
                    </div>
                    <div style="width: 1056px; height: 450px;">
                        <img src="images/image5-58.png" />
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 300px;" align="left">
                        <h2>QUESTIONS?</h2>
                    </div>
                    <div style="width: 1056px; height: 100px;" align="right">
                        <div style="width: 500px; height: 100px;" align="left">
                            Eric D. Schabell<br>
                            Global Technology Evangelist & Portfolio Architect Director<br>
                            <a href="http://twitter.com/ericschabell" target="_blank">@ericschabell</a><br>
                            <a href="http://schabell.org" target="_blank">http://schabell.org</a>
                        </div>
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 200px; text-align: left">
                        <img height="150" width="100%" src="images/references.jpg">
                    </div>
                    <div style="width: 1056px; height: 400px; text-align: left">
                        More workshops: <br/>
                        <ul style="font-size: smaller">
                            <li><a href="https://learn.katacoda.com/mfentanes/courses/rhpam-7-workshop" target="_blank">Process automation workshops (by MyriamJ)</a></li>
                        </ul>
                        <br><br>
                        More reading:<br/>
                        <ul style="font-size: smaller">
                            <li><a href="http://www.schabell.org/search/label/Process%20Automation%20Manager" target="_blank">Process automation blog</a></li>
                            <li><a href="http://bit.ly/effective-jboss-bpm" target="_blank">Effective business processs management with JBoss BPM (free book)</a></li>
                        </ul>
                        <br><br>
                        More demo projects:<br/>
                        <ul style="font-size: smaller">
                            <li><a href="https://gitlab.com/bpmworkshop" target="_blank">Workshop demos</a></li>
                            <li><a href="https://gitlab.com/redhatdemocentral" target="_blank">AppDev in the cloud demos</a></li>
                        </ul>
                    </div>
                </section>

                <section>
                    <div style="width: 1056px; height: 250px;">
                        <h2>Process Automation Manager</h2>
                        <h3>Up next...</h3>
                    </div>
                    <div style="width: 1056px; height: 300px;">
                        <h3><a href="lab06.html" target="_blank">Lab 6 - Completing process details</a></h3>
                    </div>
                </section>
            </div>
		</div>

		<script src="lib/js/head.min.js"></script>
		<script src="js/reveal.min.js"></script>

		<script>

			// Full list of configuration options available here:
			// https://github.com/hakimel/reveal.js#configuration
			Reveal.initialize({
				controls: true,
				progress: true,
				history: true,
				center: true,

				theme: Reveal.getQueryHash().theme, // available themes are in /css/theme
				transition: Reveal.getQueryHash().transition || 'default', // default/cube/page/concave/zoom/linear/fade/none

				// Parallax scrolling
				// parallaxBackgroundImage: 'https://s3.amazonaws.com/hakim-static/reveal-js/reveal-parallax-1.jpg',
				// parallaxBackgroundSize: '2100px 900px',

				// Optional libraries used to extend on reveal.js
				dependencies: [
					{ src: 'lib/js/classList.js', condition: function() { return !document.body.classList; } },
					{ src: 'plugin/markdown/marked.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
					{ src: 'plugin/markdown/markdown.js', condition: function() { return !!document.querySelector( '[data-markdown]' ); } },
					{ src: 'plugin/highlight/highlight.js', async: true, callback: function() { hljs.initHighlightingOnLoad(); } },
					{ src: 'plugin/zoom-js/zoom.js', async: true, condition: function() { return !!document.body.classList; } },
					{ src: 'plugin/notes/notes.js', async: true, condition: function() { return !!document.body.classList; } }
				]
			});

		</script>

	</body>
</html>
